body{
  font-family: Arial, Helvetica, sans-serif;
  margin: 0;
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* position: fixed;
  top: 0;
  left: 0;
  right: 0; */
  height: 60px;
  background-color: rgb(59, 144, 92);
  padding: 10px;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 10px 36px 0px, rgba(0, 0, 0, 0.06) 0px 0px 0px 1px;
}

.main-page-link, .user-name-link {
  text-decoration: none;
  color: #ffffff;
  font-weight: bold;
}

.notif-pic{
  width: 25px;
  cursor: pointer;
}

.bell {
  width: 25px;
  cursor: pointer;
}

.ringing {
  animation: ring 0.5s ease-in-out infinite alternate;
}

@keyframes ring {
  0% {
    transform: rotate(-10deg);
  }
  100% {
    transform: rotate(10deg);
  }
}

.right-section, .user-info {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.user-info{
  margin-left: 20px;
  cursor: pointer;
}

.user-info img {
  width: 32px;
  height: 32px;
  border-radius: 50%;
  /* object-fit: cover; */
  margin-right: 10px;
}

.side-menu{
  background-color: rgb(134, 181, 152);
  width: 250px;
  height: 100vh;
  transition: transform 0.3s ease-in-out;
  overflow-y: auto;
  /* margin-top: 70px; */
  position: fixed;
  left: 0;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}

.side-menu-small-screen{
  display: flex;
  background-color: rgb(134, 181, 152);
  transition: margin-top 0.3s ease-in-out;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}
.side-menu-small-screen li{
  padding: 6px;
}

li{
  list-style: none;
  padding: 10px;
}
a{
  color: rgb(72, 72, 72);
  font-size:larger;
  text-decoration: none;
}
a:hover{
  font-weight: bold;
}

table{
  border-collapse: collapse;
  width: 100%;
}
th, td {
  border: 1px solid white;
  background-color: rgb(199, 218, 206);
  height: 35px;
}
th{
  background-color: rgb(146, 179, 158);
}
tr:nth-child(even) {
  background-color: rgb(241, 246, 243);
}
td{
  text-align: center;
  vertical-align: middle;
}
tr:hover td{
  background-color: rgb(189, 207, 196);
}
.btn-in-table{
  width: 35px;
  cursor: pointer;
}
.img-in-table{
  width: 100%;
}
.status-online, .status-offline{
  display: inline-block;
  width: 17px;
  height: 17px;
  border-radius: 50%;
}
.status-online{
  background-color: rgb(0, 179, 68);
}
.status-offline{
  background-color: rgb(179, 0, 0);
}

.content-container{
  display: flex;
  flex-direction: column;
  justify-content: center;  
  margin-left: 250px;
  padding: 20px;
  transition: margin-left 0.3s ease-in-out;
}
h1{
  margin: 0;
}
.add-btn{
  background-color: rgb(179, 205, 182);
  color: white;
  border: none;
  padding: 0 13px; /* Adjusted padding for a smaller size */
  font-size: 30px; /* Adjusted font size */
  cursor: pointer;
  align-self: flex-end;
  margin-bottom: 10px;
}


.vmodal.open .modal-overlay,
.vmodal.open .modal-window {
  opacity: 1;
  z-index: 100;
}

.vmodal.hide .modal-overlay,
.vmodal.hide .modal-window {
  opacity: 1;
  z-index: 100;
}

.vmodal.open .modal-window {
  transform: translateY(200px);
}

.vmodal.open .modal-overlay {
  background: rgba(0, 0, 0, .5);
}

.vmodal.hide .modal-window {
  transform: translateY(-200px);
}

.vmodal.hide .modal-overlay {
  background: rgba(0, 0, 0, 0);
}

.modal-window, .modal-overlay {
  opacity: 0;
  z-index: -1;
}

.modal-overlay {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0);
  transition: background .2s ease-in;
}

.modal-window {
  width: 600px;
  border-radius: 5px;
  background: hsl(0, 0%, 100%); 
  margin: 0 auto;
  transform: translateY(-200px);
  transition: transform .2s ease-in;
}

.modal-header {
  padding: 10px;
  display: flex;
  justify-content: space-between;
  border-bottom: 1px solid #eee;
  background-color: rgb(146, 179, 158);
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
  font-weight: bolder;
}

.modal-title {
  font-size: 1.5rem;
}

.modal-close {
  cursor: pointer;
}

.modal-body {
  padding: 10px;
}

.modal-body p {
  margin: 0 0 5px;
}

.modal-footer {
  padding: 5px 10px;
  border-top: 1px solid #eee;
  display: flex;
  justify-content: flex-end;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

.form{
  display: flex;
  flex-direction: column;
  row-gap: 5px;
  padding: 5px;
}
.cancel-type{
  margin-right: 15px;
  border: none;
  background: none;
  color: rgb(36,65,31);
  cursor: pointer;
  text-decoration: underline;
  padding: 0;
}
.create-type, .delete-type{
  border: none;
  background-color: rgb(199, 218, 206);
  border: none;
  border-radius: 5px;
  padding: 6px 14px;
  cursor: pointer;
  font-weight: bolder;
  font-size: 15px;
}

.notifications{
  position: fixed;
  display: flex;
  flex-direction: column;
  right: 10%;
  background-color: white;
  transform: translateY(-200%); 
  border-radius: 5px;
  transition: transform 0.2s ease;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  background-color: rgb(242, 248, 244);
  padding: 5px;
}

.notif:hover .notifications{
  transform: translateY(0);
}

.message-box{
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 4px;
  margin-bottom: 3px;
  box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
  max-width: 500px;
  background-color: white;
}
.friend-pic {
  width: 55px;
  height: 55px;
  border-radius: 50%;
  /* object-fit: cover; */
  margin-right: 10px;
}
.user-msg{
  margin: 5px;
  width: 100%;
}
.friend-username{
  font-weight: bolder;
  margin-bottom: 5px;
}
.message{
  margin: 0;
  margin-top: 5px;
  background-color: rgba(0, 0, 0, 0.1);
  padding: 10px;
  border-radius: 8px;
  /* word-wrap: break-word; */
  box-shadow: 2px 2px 5px #888888;
  font-size: 14px;
}
.user-actions{
  position: fixed;
  display: flex;
  flex-direction: column;
  top: 11%;
  right: 0;
  transform: translateX(100%);
  border-radius: 2px;
  transition: transform 0.5s ease;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px, rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
}
.user-btn{
  padding: 7px 15px;
  font-size: 15px;
  border: none;
  text-align: left;
  background-color: rgba(59, 144, 92, 0.834);  
  color: rgb(245, 245, 245);
  cursor: pointer;
}
.user-info:hover .user-actions{
  transform: translateX(0);
}

@media screen and (max-width: 768px) {
  .side-menu {
    transform: translateX(-100%);
  }
  .container {
    transform: translateX(0);
  }
  .content-container{
    margin-left: 0;
  }
  /* .side-menu-small-screen {
    transform: translateY(0);
  } */
  table{
    font-size: 16px;
  }
}
@media screen and (max-width:500px) {
  table{
    font-size: 13px;
  }
}

@media screen and (max-width:400px) {
  table{
    font-size: 10px;
  }
}

@media screen and (max-width:300px) {
  table{
    font-size: 7px;
  }

}

@media screen and (min-width: 768px) {
  .side-menu-small-screen {
    transform: translateY(-100%); 
    display: none;
  }
}

.label-input{
  display: none;
}

.error{
  color: rgb(212, 0, 0);
  font-size: 16px;
  font-weight: normal;
  margin-left: 5px;
}
input[type="text"] {
  padding: 10px;
  font-size: 16px;
  border: 1px solid #ccc; 
  border-radius: 5px;
  margin: 5px;
}
input[type="text"]:focus {
  border: 1px solid #006b10;
}
.select-gender {
  min-width: 120px;
  padding: 10px;
  font-size: 15px;
  border: 1px solid #ccc;
  border-radius: 5px;
  margin-right: 5px;
}
.select-gender:focus {
  outline: none;
  border-color: #006b10;
}
.select-gender option {
  background-color: #fff;
  color: #003d10;
  padding: 100px;
}
.gender-form{
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 2px;
  margin-bottom: 2px;
}
.birthdate-form{
  display: grid;
  align-items: center;
  grid-template-columns: 1fr 130px;
}
.name-form{
  display: flex;
  flex-direction: column;
}
.name-form input[type="text"]{
  margin-bottom: 2px;
}
.birthday-input{
  max-width: 100px;
}
.form{
  font-size: 18px;
  font-weight: bold;
}

/*/////*/
/* 
.chat-container {
  max-width: 600px;
  margin: 0 auto;
}

.chat {
  margin-bottom: 20px;
}

.message {
  padding: 10px;
  border-radius: 5px;
  margin-bottom: 10px;
  max-width: 80%;
}

.message.sent {
  background-color: #DCF8C6;
  align-self: flex-end;
}

.message.received {
  background-color: #E5E5EA;
}

.sender {
  font-weight: bold;
}

.chat-input {
  display: flex;
}

.chat-input input {
  flex: 1;
  padding: 10px;
  border-radius: 5px;
  border: 1px solid #ccc;
}

.chat-input button {
  padding: 10px 20px;
  border: none;
  background-color: #007BFF;
  color: #fff;
  border-radius: 5px;
  cursor: pointer;
  margin-left: 10px;
}

.chat-input button:hover {
  background-color: #0056b3;
} */

.chat-container {
  max-width: 800px;
  margin: auto;
  padding: 20px;
}
.chat-messages {
  max-height: 300px;
  overflow-y: auto;
}

/* Custom CSS for sidebar */
.sidebar {
  height: 100%;
  border-right: 1px solid #dee2e6;
}
.chat-list {
  list-style-type: none;
  padding-left: 0;
}
.chat-list-item {
  cursor: pointer;
  padding: 10px;
  border-bottom: 1px solid #dee2e6;
}
.chat-list-item:hover {
  background-color: #f8f9fa;
}


